Name:		kde-plasma-daisy
Version:	0.0.4.26
Release:	6%{?dist}
Summary:	A versatile application launcher

License:	GPLv3+
URL:		http://www.cdlszm.org/
Source0:	http://cdlszm.org/downloads/plasma-applet-daisy-%{version}.tar.gz

BuildRequires: gettext
BuildRequires: kde-workspace-devel >= 4.8

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
Daisy is a versatile yet simple plasma application launcher applet.
It supports three different types of roles: a circular dock,
a media controller and a linear dock.


%prep
%setup -q -n plasma-applet-daisy-%{version}
#fixing rights
chmod 0644 applet/src/*.cpp
chmod 0644 applet/src/*.h
chmod 0644 AUTHORS CHANGELOG COPYING README TODO


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang plasma_applet_daisy


%files -f plasma_applet_daisy.lang
%doc AUTHORS CHANGELOG COPYING README TODO
%{_kde4_libdir}/kde4/plasma_applet_daisy.so
%{_kde4_appsdir}/desktoptheme/default/widgets/*svgz
%{_kde4_datadir}/kde4/services/plasma-applet-daisy.desktop



%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4.26-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 09 2014 Rex Dieter <rdieter@fedoraproject.org> 0.0.4.26-5
- spec cleanup, Requires: s/kde-workspace/kde-runtime/

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4.26-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 30 2012 Julian Aloofi <julian@fedoraproject.org> 0.0.4.26-1
- update to latest upstream release

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4.25-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 12 2012 Rex Dieter <rdieter@fedoraproject.org> 0.0.4.25-4
- kde-plasma-daisy FTBFS against kde-4.8.x (#802406)
- Requires: kde-workspace (for libtaskmanager dep)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4.25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 20 2010 Julian Aloofi <julian at, fedoraproject.org> - 0.0.4.25-1
- update to latest upstream release

* Tue Jul 06 2010 Julian Aloofi <julian at, fedoraproject.org> - 0.0.4.23-2
- fix permission of daisyTasks.cpp

* Sun Jul 04 2010 Julian Aloofi <julian at, fedoraproject.org> - 0.0.4.23-1
- updated to new upstream version
- new upstream homepage
- removed BuildRoot tag
- chmod in prep not needed anymore

* Wed Mar 31 2010 Julian Aloofi <julian at, fedoraproject.org> - 0.0.4.22-2
- using the kde4_appsdir macro in the files section now

* Mon Mar 29 2010 Julian Aloofi <julian at, fedoraproject.org> - 0.0.4.22-1
- initial package
